---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualMachine09agent00.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x25D20, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x83, offset: 0x83, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x25D28, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x25D30, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0xF4, offset: 0xF4, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x25D38, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x10D, offset: 0x10D, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x25D40, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x118, offset: 0x118, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x25D44, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0x123, offset: 0x123, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x25D48, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x4C37, offset: 0x4C37, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xEC0, symBinAddr: 0x1EA0, symSize: 0xA0 }
  - { offsetInCU: 0x4C9D, offset: 0x4C9D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x2270, symBinAddr: 0x3050, symSize: 0x220 }
  - { offsetInCU: 0x4E5B, offset: 0x4E5B, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0xF60, symBinAddr: 0x1F40, symSize: 0x150 }
  - { offsetInCU: 0x4F59, offset: 0x4F59, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x10B0, symBinAddr: 0x2090, symSize: 0x3C0 }
  - { offsetInCU: 0x528E, offset: 0x528E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1470, symBinAddr: 0x2450, symSize: 0x110 }
  - { offsetInCU: 0x5395, offset: 0x5395, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x1580, symBinAddr: 0x2560, symSize: 0x150 }
  - { offsetInCU: 0x54BC, offset: 0x54BC, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0x17C0, symBinAddr: 0x26B0, symSize: 0xF0 }
  - { offsetInCU: 0x5605, offset: 0x5605, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x2490, symBinAddr: 0x3270, symSize: 0xB0 }
  - { offsetInCU: 0x5660, offset: 0x5660, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x29F0, symBinAddr: 0x3320, symSize: 0x80 }
  - { offsetInCU: 0x573B, offset: 0x573B, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x18B0, symBinAddr: 0x27A0, symSize: 0x270 }
  - { offsetInCU: 0x59EC, offset: 0x59EC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x1B20, symBinAddr: 0x2A10, symSize: 0x100 }
  - { offsetInCU: 0x5AAA, offset: 0x5AAA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1C20, symBinAddr: 0x2B10, symSize: 0x160 }
  - { offsetInCU: 0x5C25, offset: 0x5C25, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1D80, symBinAddr: 0x2C70, symSize: 0xB0 }
  - { offsetInCU: 0x5CC1, offset: 0x5CC1, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x2090, symBinAddr: 0x2F00, symSize: 0x150 }
  - { offsetInCU: 0x5EB9, offset: 0x5EB9, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x1E30, symBinAddr: 0x2D20, symSize: 0x1E0 }
  - { offsetInCU: 0x60FD, offset: 0x60FD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x2D70, symBinAddr: 0x33A0, symSize: 0x30 }
  - { offsetInCU: 0x6177, offset: 0x6177, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2DA0, symBinAddr: 0x33D0, symSize: 0x18E }
...
